[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkedRecordEnumerator.Create

Constructor for the class instance.

## Declaration

Source position: dbgrids.pas line 149

`public constructor TBookmarkedRecordEnumerator.Create(`
`bookList: TBookmarkList;`
`aGrid: TCustomDbGrid;`
`anOptions: TBookmarkedRecordEnumeratorOptions`
`);`

## Arguments

`bookList` |  | Bookmark list for the enumerator.
`aGrid` |  | Grid control for the enumerator.
`anOptions` |  | Options for the enumerator.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor, and stores the arguments to the method in its BookmarkList, Dataset, and Options properties.